Subject: [bug#78066] [PATCH v2 1/5] gnu: fail2ban: Move file deletion to source snippet.

From: Andreas Enge <[email-masked]>
Date: Tue, 29 Apr 2025 10:00:24 +0200

Hello Nicolas,

thanks for the update!

Am Sun, Apr 27, 2025 at 11:08:08AM +0200 schrieb Nicolas Graves:
> * gnu/packages/admin.scm (fail2ban)
>   [arguments]<phases>: Move multiple file deletion from here...
>   [source]<snippet>: ...to here.
> +                  ;; deleting things that are not feasible to fix
> +                  ;; or won't be used any way

What is the motivation for this change? I think we always remove
non-free code and often bundled libraries in a snippet, but changes only
related to the idiosyncrasies of Guix usually occur in the phases. In this
way, "guix build -S" returns essentially the source code of a package.

But this is not written policy, so no hard obstacle to pushing the
commit; I just do not see why a snippet would be better than a phase.

Andreas